'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by timur on 3/10/17.
 */

var Grid = function Grid(_ref) {
  var children = _ref.children;


  var grid = (0, _utils.itemToArray)(children);

  var rows = grid.map(function (columns, x) {

    var cols = (0, _utils.itemToArray)(columns);

    return _react2.default.createElement(
      'div',
      { key: x, className: 'row' },
      cols.map(function (col, y) {
        return _react2.default.createElement(
          'div',
          { key: y },
          col.children
        );
      })
    );
  });
  return _react2.default.createElement(
    'div',
    null,
    rows
  );
};

exports.default = Grid;